# $Revision: 1.15 $, $Date: 2002/07/28 19:30:46 $
Summary:	VCR is a program which enables you to record a program using a video grabber card
Summary(pl):	VCR - program pozwalajcy nagrywa programy przez video grabber
Name:		vcr
Version:	1.09
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.stack.nl/~brama/vcr/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-DEBIAN.patch
Patch1:		%{name}-ac_fixes.patch
URL:		http://www.stack.nl/~brama/vcr/
BuildRequires:	avifile-devel
BuildRequires:	libstdc++-devel
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
VCR is a program which enables you to record a program using a video
grabber card that's supported by the video4linux drivers. It doesn't
require a graphical environment, and you can use all popular windows
codecs (like DivX, Indeo Video 5, etc) because VCR is built around the
avifile library. Now, you can finally record your favourite program
from a remote place, because Murphy's law dictates that you remember
to record it when you're as far away from your home as possible...

%description -l pl
VCR jest programem pozwalajcym nagrywa programy przy uyciu karty
typu video grabber obsugiwanej przez sterowniki video4linux. Nie
wymaga graficznego rodowiska, moe by uywany z popularnymi
windowsowymi codekami (jak DivX, Indeo Video 5 itp.) poniewa VCR jest
budowany z uyciem biblioteki avifile. Teraz moesz wreszcie nagra
swj ulubiony program zdalnie, bo zgodnie z prawami Murphy'ego
przypomnisz sobie o nagraniu wtedy, kiedy bdziesz najdalej od domu...

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-avifile-0_6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/vcr
%{_datadir}/vcr
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vcr.spec,v $
Revision 1.15  2002/07/28 19:30:46  kloczek
- release 3: remove using %%{__cc} as %%{__cxx} (seems new version uses libstdc++ funxtions).

Revision 1.14  2002/07/05 15:12:26  kloczek
- release 2: use new %doc.

Revision 1.13  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.11  2002/04/10 22:06:10  kloczek
- added ac_fixes patch,
- added missing libstdc++-devel to BuildRequires.

Revision 1.10  2002/04/04 20:36:15  undefine
- now is using right compiler
- STB (Please ;)

Revision 1.9  2002/04/04 20:17:48  undefine
- update to 1.09
- patch from debian to allow compile with new avifile
- compile with gcc2

Revision 1.8  2002/03/09 17:32:33  kloczek
- cosmetics.

Revision 1.7  2002/03/05 22:12:00  undefine
- ac/am stuff

Revision 1.6  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/20 11:01:24  qboosh
- pl translation

Revision 1.2  2001/06/01 14:48:03  wiget
- adapterize
- add printf patch to allow compile
- rewrite in PLD style
